### Method

# Gtk Window set_deletable

#### Declaration [src]

    void
    gtk_window_set_deletable (
      GtkWindow* window,
      gboolean setting
    )

#### Description [src]

Sets whether the window should be deletable.

By default, windows have a close button in the window frame. Some window managers allow GTK to disable this button. If you set the deletable property to false using this function, GTK will do its best to convince the window manager not to show a close button. Depending on the system, this function may not have any effect when called on a window that is already visible, so you should call it before calling `gtk_widget_show()`.

On Windows, this function always works, since there’s no window manager policy involved.

Sets property | `Gtk.Window:deletable`

#### Parameters

`setting`

  Type: `gboolean`

  True to decorate the window as deletable.